diff --git lib/utils/x11utils.cpp lib/utils/x11utils.cpp
index 40339e3..44e30df 100644
--- lib/utils/x11utils.cpp
+++ lib/utils/x11utils.cpp
@@ -67,7 +67,7 @@ static const struct {
     {&qtc_x11_qtc_menubar_size, "_QTCURVE_MENUBAR_SIZE_"},
     {&qtc_x11_qtc_statusbar, "_QTCURVE_STATUSBAR_"},
     {&qtc_x11_qtc_titlebar_size, "_QTCURVE_TITLEBAR_SIZE_"},
-    {&qtc_x11_qtc_active_window, "_QTCURVE_ACTIVE_WINDOW_"},
+    {&qtc_x11_qtc_active_window, "_NET_ACTIVE_WINDOW_"},
     {&qtc_x11_qtc_toggle_menubar, "_QTCURVE_TOGGLE_MENUBAR_"},
     {&qtc_x11_qtc_toggle_statusbar, "_QTCURVE_TOGGLE_STATUSBAR_"},
     {&qtc_x11_qtc_opacity, "_QTCURVE_OPACITY_"},
diff --git qt4/kwin/qtcurveclient.cpp qt4/kwin/qtcurveclient.cpp
index 80855cf..3d1be06 100644
--- qt4/kwin/qtcurveclient.cpp
+++ qt4/kwin/qtcurveclient.cpp
@@ -1120,6 +1120,7 @@ void QtCurveClient::deleteSizeGrip()
 
 void QtCurveClient::informAppOfBorderSizeChanges()
 {
+#ifdef X11_SEND_QTCURVE_SPECIFIC_EVENTS
     union {
         char _buff[32];
         xcb_client_message_event_t ev;
@@ -1131,6 +1132,7 @@ void QtCurveClient::informAppOfBorderSizeChanges()
     xev->type = qtc_x11_qtc_titlebar_size;
     xev->data.data32[0] = 0;
     qtcX11SendEvent(false, windowId(), XCB_EVENT_MASK_NO_EVENT, xev);
+#endif
     qtcX11Flush();
 }
 
@@ -1138,6 +1140,7 @@ void QtCurveClient::informAppOfActiveChange()
 {
     if (Handler()->wStyle()->pixelMetric(
             (QStyle::PixelMetric)QtC_ShadeMenubarOnlyWhenActive, nullptr, nullptr)) {
+#ifdef X11_SEND_QTCURVE_SPECIFIC_EVENTS
         union {
             char _buff[32];
             xcb_client_message_event_t ev;
@@ -1149,6 +1152,7 @@ void QtCurveClient::informAppOfActiveChange()
         xev->type = qtc_x11_qtc_active_window;
         xev->data.data32[0] = isActive() ? 1 : 0;
         qtcX11SendEvent(false, windowId(), XCB_EVENT_MASK_NO_EVENT, xev);
+#endif
         qtcX11Flush();
     }
 }
diff --git qt5/kwin/qtcurveclient.cpp qt5/kwin/qtcurveclient.cpp
index d784bd4..821b587 100644
--- qt5/kwin/qtcurveclient.cpp
+++ qt5/kwin/qtcurveclient.cpp
@@ -1121,6 +1121,7 @@ void QtCurveClient::deleteSizeGrip()
 
 void QtCurveClient::informAppOfBorderSizeChanges()
 {
+#ifdef X11_SEND_QTCURVE_SPECIFIC_EVENTS
     union {
         char _buff[32];
         xcb_client_message_event_t ev;
@@ -1132,6 +1133,7 @@ void QtCurveClient::informAppOfBorderSizeChanges()
     xev->type = qtc_x11_qtc_titlebar_size;
     xev->data.data32[0] = 0;
     qtcX11SendEvent(false, windowId(), XCB_EVENT_MASK_NO_EVENT, xev);
+#endif
     qtcX11Flush();
 }
 
@@ -1139,6 +1141,7 @@ void QtCurveClient::informAppOfActiveChange()
 {
     if (Handler()->wStyle()->pixelMetric(
             (QStyle::PixelMetric)QtC_ShadeMenubarOnlyWhenActive, nullptr, nullptr)) {
+#ifdef X11_SEND_QTCURVE_SPECIFIC_EVENTS
         union {
             char _buff[32];
             xcb_client_message_event_t ev;
@@ -1150,6 +1153,7 @@ void QtCurveClient::informAppOfActiveChange()
         xev->type = qtc_x11_qtc_active_window;
         xev->data.data32[0] = isActive() ? 1 : 0;
         qtcX11SendEvent(false, windowId(), XCB_EVENT_MASK_NO_EVENT, xev);
+#endif
         qtcX11Flush();
     }
 }
